#include "file_lib.h"


ssize_t e_read(int fd, void * buffer, size_t count)
{
	ssize_t n = read(fd, buffer, count);
	if( n < 0 )
		perror("Error on read");
	return n;
}

ssize_t e_write(int fd, const void * buffer, size_t count)
{
	ssize_t n = write(fd, buffer, count);
	if( n < 0 )
		perror("Error on write");
	return n;
}

int e_open(const char *pathname, int flags, mode_t mode)
{
	int n = open(pathname, flags, mode);
	if( n < 0 )
		perror("Error on open");
	return n;
}

int e_creat(const char *pathname, mode_t mode)
{
	int n = creat(pathname, mode);
	if( n < 0 )
		perror("Error on creat");
	return n;
}

int e_close(int fd)
{
	int n = close(fd);
	if( n < 0 )
		perror("Error on close");
	return n;
}

int e_unlink(const char *pathname)
{
	int n = unlink(pathname);
	if( n < 0)
		perror("Error on unlink");
	return n;

}

off_t e_lseek(int fd, off_t offset, int whence)
{
	off_t n = lseek(fd, offset, whence);
	if( n < 0)
		perror("Error on lseek");
	return n;
}
